classification
Title: wishlist: os.feed_urandom(input)
Type: enhancement Stage: test needed
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: loewis, zooko
Priority: low Keywords:

Created on 2005-01-17 16:56 by zooko, last changed 2010-10-05 03:15 by benjamin.peterson. This issue is now closed.

Messages (4)
msg54349 - (view) Author: Zooko O'Whielacronx (zooko) Date: 2005-01-17 16:56
Both unixy /dev/randoms and Microsoft's CryptGenRandom offer an 
API for userland to feed entropy into the system's pool.  It would 
be nice if os.urandom() supported this feature.

msg54350 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2005-02-12 00:52
Logged In: YES 
user_id=21627

Would you like to work on a patch?
msg59331 - (view) Author: Zooko O'Whielacronx (zooko) Date: 2008-01-05 20:13
No, I don't want to work on a patch for this at this time.  In fact, my
current strategy with regard to random bits doesn't require this
functionality, in general.
msg114401 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-08-19 18:48
Closed in response to comment in msg59331.
History
Date User Action Args
2010-10-05 03:15:52benjamin.petersonsetresolution: rejected
2010-10-05 03:00:41r.david.murraysetnosy: - BreamoreBoy
resolution: out of date -> (no value)
2010-08-19 18:48:02BreamoreBoysetstatus: open -> closed

nosy: + BreamoreBoy
messages: + msg114401

resolution: out of date
2009-02-14 19:09:28ajaksu2setstage: test needed
versions: + Python 2.7, - Python 2.6
2008-01-05 20:13:23zookosetmessages: + msg59331
2008-01-05 19:13:30christian.heimessetpriority: normal -> low
versions: + Python 2.6
2005-01-17 16:56:58zookocreate